/* The Modal Overlay (IMG container) (background) */

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 1;
    /* Sit on top */
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    overflow: visible;
    /* Enable scroll if needed */
    background-color: rgb(78, 78, 78);
    /* Fallback color */
    background-color: rgba(78, 78, 78, 0.9);
    /* Black w/ opacity */
}


/* Modal Content (image) */

.modal-header {
    margin-top: 65px;
    display: block;
    text-align: center;
    color: #ccccccff;
    font-size: 32px;
    font-family: "Times New Roman", Times, serif;
}

.modal-content {
    padding-top: 10px;
    /* Location of the box */
    object-fit: contain;
    margin-top: 5px;
    margin-left: 55px;
    width: 85%;
    height: 75%;
}

.modal-caption {
    margin-top: 10px;
    display: block;
    text-align: center;
    color: #ccccccff;
    font-size: 28px;
    font-family: "Times New Roman", Times, serif;
}

@media only screen and (max-width: 1920px) and (min-width: 900px) {
    .modal-header {
        margin-top: 55px;
        display: block;
        text-align: center;
        color: #ccccccff;
        font-size: 24px;
        font-family: "Times New Roman", Times, serif;
    }
    .modal-content {
        padding-top: 10px;
        /* Location of the box */
        object-fit: contain;
        margin-top: 5px;
        width: 65%;
    }
    .modal-caption {
        margin-top: 5px;
        display: block;
        text-align: center;
        color: #ccccccff;
        font-size: 22px;
        font-family: "Times New Roman", Times, serif;
    }
}

@media only screen and (max-width: 900px) and (min-width: 600px) {
    .modal-header {
        margin-top: 55px;
        display: block;
        text-align: center;
        color: #ccccccff;
        font-size: 24px;
        font-family: "Times New Roman", Times, serif;
    }
    .modal-content {
        padding-top: 10px;
        /* Location of the box */
        object-fit: contain;
        margin-top: 5px;
        margin-left: 5px;
        width: 90%;
    }
    .modal-caption {
        margin-top: 5px;
        display: block;
        text-align: center;
        color: #ccccccff;
        font-size: 22px;
        font-family: "Times New Roman", Times, serif;
    }
}

@media only screen and (max-width: 600px) {
    .modal-header {
        display: none;
        margin-top: 55px;
        text-align: center;
        color: #ccccccff;
        font-size: 44px;
        font-family: "Times New Roman", Times, serif;
    }
    .modal-content {
        padding-top: 10px;
        /* Location of the box */
        object-fit: contain;
        margin-top: 5px;
        margin-left: 5px;
        width: 99%;
    }
    .modal-caption {
        display: none;
        margin-top: 5px;
        display: none;
        text-align: center;
        color: #ccccccff;
        font-size: 22px;
        font-family: "Times New Roman", Times, serif;
    }
}


/* Add Animation */

.modal-content,
#caption {
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(0)
    }
    to {
        -webkit-transform: scale(1)
    }
}

@keyframes zoom {
    from {
        transform: scale(0)
    }
    to {
        transform: scale(1)
    }
}


/* The Close Button */

.close {
    position: absolute;
    top: 50px;
    right: 55px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}